com.ibm.openpages.api.rule

## Enum TBRuleDefinitionCategory

- java.lang.Object
- - java.lang.Enum<TBRuleDefinitionCategory>
  - - com.ibm.openpages.api.rule.TBRuleDefinitionCategory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TBRuleDefinitionCategory>

      public enum TBRuleDefinitionCategory
      extends java.lang.Enum<TBRuleDefinitionCategory>

  Represents the type of rule definition.
  Since:
    8.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RegTrack` Represents the rule category for Reg-Track Feeds
    `TRRI` Represents the rule category for Thompson Reuters Feeds
    `WK` Represents the rule category for Wolters Kluwers Feeds

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static TBRuleDefinitionCategory` | `getValue(int id)`
    `static TBRuleDefinitionCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TBRuleDefinitionCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRRI

          public static final TBRuleDefinitionCategory TRRI

      Represents the rule category for Thompson Reuters Feeds

    - #### WK

          public static final TBRuleDefinitionCategory WK

      Represents the rule category for Wolters Kluwers Feeds

    - #### RegTrack

          public static final TBRuleDefinitionCategory RegTrack

      Represents the rule category for Reg-Track Feeds

  - ### Method Detail

    - #### values

          public static TBRuleDefinitionCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TBRuleDefinitionCategory c : TBRuleDefinitionCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TBRuleDefinitionCategory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static TBRuleDefinitionCategory getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.